//---------------------------------------------------------------------------
#ifndef App_HandlersH
#define App_HandlersH
//---------------------------------------------------------------------------
#include <Classes.hpp>
namespace Inifiles { class TMemIniFile; } using namespace Inifiles;
//---------------------------------------------------------------------------
namespace App_handlers {
//---------------------------------------------------------------------------
class EHandlerError : public Exception
{
public:
	__fastcall EHandlerError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
class THandler : public TObject
{
private:
protected:
	virtual void __fastcall HandleFeatureUnavailable();
public:
	__fastcall THandler();
	virtual __fastcall ~THandler();
	virtual void __fastcall LoadSettings(TMemIniFile* AFile);
	virtual void __fastcall SaveSettings(TMemIniFile* AFile);
};
//---------------------------------------------------------------------------
} // End namespace App_handlers
using namespace App_handlers;
//---------------------------------------------------------------------------
#endif

