//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "App_ToolsDialog.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TAppToolsDialog* AppToolsDialog = NULL;
//---------------------------------------------------------------------------
void __fastcall TAppToolsDialog::FormCloseQuery(TObject* ASender, bool& ACanClose)
{
	if(ModalResult == mrOk) {
		Values = Inputs;
	}
}
//---------------------------------------------------------------------------
void __fastcall TAppToolsDialog::Field13Click(TObject* ASender)
{
	OpenDialog1->FileName = Input12;
	if(!OpenDialog1->Execute()) {
		Abort();
	}
	Input12 = OpenDialog1->FileName;
}
//---------------------------------------------------------------------------
TAppToolsDialog* __fastcall TAppToolsDialog::EnsureCreated()
{
	if(AppToolsDialog == NULL) {
		AppToolsDialog = new TAppToolsDialog(Application);
	}
	return AppToolsDialog;
}
//---------------------------------------------------------------------------
TToolsOptions __fastcall TAppToolsDialog::GetDefaultValues()
{
	TToolsOptions LValues;
	LValues.EditorFile = AnsiString();
	return LValues;
}
//---------------------------------------------------------------------------
void __fastcall TAppToolsDialog::HandleInvalidInput(TWinControl* AControl, const AnsiString& AMessage)
{
	ActiveControl = AControl;
	throw EInvalidOperation(AMessage);
}
//---------------------------------------------------------------------------
TToolsOptions __fastcall TAppToolsDialog::GetInputs()
{
	return TToolsOptions();
}
//---------------------------------------------------------------------------
void __fastcall TAppToolsDialog::SetInputs(const TToolsOptions& AInputs)
{
	Input12 = AInputs.EditorFile;
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAppToolsDialog::GetInput12()
{
	return Field12->Text;
}
//---------------------------------------------------------------------------
void __fastcall TAppToolsDialog::SetInput12(const AnsiString& AInput12)
{
	Field12->Text = AInput12;
}
//---------------------------------------------------------------------------
__fastcall TAppToolsDialog::TAppToolsDialog(TComponent* AOwner) :
	TForm(AOwner),
	FValues(GetDefaultValues())
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TAppToolsDialog::~TAppToolsDialog()
{
	// Do nothing
}
//---------------------------------------------------------------------------
bool __fastcall TAppToolsDialog::Execute()
{
	Inputs = Values;
	ActiveControl = NULL;
	SelectFirst();
	return ShowModal() == mrOk;
}
//---------------------------------------------------------------------------

