//---------------------------------------------------------------------------
#ifndef App_ViewDialogH
#define App_ViewDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <Dialogs.hpp>
#include <StdCtrls.hpp>
#include "App_ViewHandler.h"
//---------------------------------------------------------------------------
class TAppViewDialog : public TForm
{
__published:
	TButton* Button1;
	TButton* Button2;
	TButton* Field22;
	TButton* Field23;
	TButton* Field24;
	TCheckBox* Field11;
	TCheckBox* Field12;
	TColorDialog* ColorDialog1;
	TFontDialog* FontDialog1;
	TGroupBox* Field1;
	TGroupBox* Field2;
	TLabel* Field21;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall Field22Click(TObject* ASender);
	void __fastcall Field23Click(TObject* ASender);
	void __fastcall Field24Click(TObject* ASender);
public:
	static TAppViewDialog* __fastcall EnsureCreated();
private:
	TViewOptions FValues;
	static TViewOptions __fastcall GetDefaultValues();
	TViewOptions __fastcall GetInputs();
	void __fastcall SetInputs(const TViewOptions& AInputs);
	bool __fastcall GetInput11();
	void __fastcall SetInput11(bool AInput11);
	bool __fastcall GetInput12();
	void __fastcall SetInput12(bool AInput12);
	TColor __fastcall GetInput22();
	void __fastcall SetInput22(TColor AInput22);
	TColor __fastcall GetInput23();
	void __fastcall SetInput23(TColor AInput23);
	TFont* __fastcall GetInput24();
	void __fastcall SetInput24(TFont* AInput24);
	__property TViewOptions Inputs = {read=GetInputs, write=SetInputs};
	__property bool Input11 = {read=GetInput11, write=SetInput11};
	__property bool Input12 = {read=GetInput12, write=SetInput12};
	__property TColor Input22 = {read=GetInput22, write=SetInput22};
	__property TColor Input23 = {read=GetInput23, write=SetInput23};
	__property TFont* Input24 = {read=GetInput24, write=SetInput24};
protected:
public:
	__fastcall TAppViewDialog(TComponent* AOwner);
	virtual __fastcall ~TAppViewDialog();
	virtual bool __fastcall Execute();
	__property TViewOptions Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TAppViewDialog* AppViewDialog;
//---------------------------------------------------------------------------
#endif

