//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <Math.hpp>
#include "App_MainForm.h"
//---------------------------------------------------------------------------
USEFORM("App_ExamRulesDialog.cpp", AppExamRulesDialog);
USEFORM("App_FileHistoryDialog.cpp", AppFileHistoryDialog);
USEFORM("App_MainForm.cpp", AppMainForm);
USEFORM("App_ToolsDialog.cpp", AppToolsDialog);
USEFORM("App_ViewDialog.cpp", AppViewDialog);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->Title = "Flashexam";
		Application->CreateForm(__classid(TAppMainForm), &AppMainForm);
		Randomize();
		AppMainForm->LoadSettings();
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------

