//---------------------------------------------------------------------------
#ifndef App_ExamRulesDialogH
#define App_ExamRulesDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "App_Exams.h"
//---------------------------------------------------------------------------
class TAppExamRulesDialog : public TForm
{
__published:
	TButton* Button1;
	TButton* Button2;
	TCheckBox* Field11;
	TCheckBox* Field12;
	TCheckBox* Field13;
	TCheckBox* Field14;
	TCheckBox* Field15;
	TCheckBox* Field18;
	TEdit* Field17;
	TEdit* Field1A;
	TGroupBox* Field1;
	TLabel* Field16;
	TLabel* Field19;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall Field15Click(TObject* ASender);
	void __fastcall Field17Exit(TObject* ASender);
	void __fastcall Field1AExit(TObject* ASender);
public:
	static TAppExamRulesDialog* __fastcall EnsureCreated();
private:
	TExamRules FValues;
	static TExamRules __fastcall GetDefaultValues();
	void __fastcall UpdateAccess();
	void __fastcall HandleInvalidInput(TWinControl* AControl, const AnsiString& AMessage);
	TExamRules __fastcall GetInputs();
	void __fastcall SetInputs(const TExamRules& AInputs);
	bool __fastcall GetInput11();
	void __fastcall SetInput11(bool AInput11);
	bool __fastcall GetInput12();
	void __fastcall SetInput12(bool AInput12);
	bool __fastcall GetInput13();
	void __fastcall SetInput13(bool AInput13);
	bool __fastcall GetInput14();
	void __fastcall SetInput14(bool AInput14);
	bool __fastcall GetInput15();
	void __fastcall SetInput15(bool AInput15);
	int __fastcall GetInput17();
	void __fastcall SetInput17(int AInput17);
	bool __fastcall GetInput18();
	void __fastcall SetInput18(bool AInput18);
	int __fastcall GetInput1A();
	void __fastcall SetInput1A(int AInput1A);
	__property TExamRules Inputs = {read=GetInputs, write=SetInputs};
	__property bool Input11 = {read=GetInput11, write=SetInput11};
	__property bool Input12 = {read=GetInput12, write=SetInput12};
	__property bool Input13 = {read=GetInput13, write=SetInput13};
	__property bool Input14 = {read=GetInput14, write=SetInput14};
	__property bool Input15 = {read=GetInput15, write=SetInput15};
	__property int Input17 = {read=GetInput17, write=SetInput17};
	__property bool Input18 = {read=GetInput18, write=SetInput18};
	__property int Input1A = {read=GetInput1A, write=SetInput1A};
protected:
public:
	__fastcall TAppExamRulesDialog(TComponent* AOwner);
	virtual __fastcall ~TAppExamRulesDialog();
	virtual bool __fastcall Execute();
	__property TExamRules Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TAppExamRulesDialog* AppExamRulesDialog;
//---------------------------------------------------------------------------
#endif

