//---------------------------------------------------------------------------
#ifndef App_MainFormH
#define App_MainFormH
//---------------------------------------------------------------------------
#include <ActnList.hpp>
#include <Buttons.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <StdCtrls.hpp>
#include <ToolWin.hpp>
#include "App_FileHandler.h"
#include "App_HelpHandler.h"
#include "App_SettingsHandler.h"
#include "App_ToolsHandler.h"
#include "App_ViewHandler.h"
#include "App_Views.h"
//---------------------------------------------------------------------------
class TAppMainForm : public TForm
{
__published:
	TAction* EditCopyDataCardsAction;
	TAction* EditCopyDataCurrentCardAction;
	TAction* EditCopyDataDeckAction;
	TAction* EditCopyDataInformationAction;
	TAction* EditCopyMessagesAction;
	TAction* EditInformationAction;
	TAction* ExamHintAction;
	TAction* ExamMoveGoBackAction;
	TAction* ExamMoveGoForwardAction;
	TAction* ExamProceedAction;
	TAction* ExamRetryAction;
	TAction* ExamRulesAutoAnswerAction;
	TAction* ExamRulesAutoHintAction;
	TAction* ExamRulesDetailsAction;
	TAction* ExamRulesLimitTimeAction;
	TAction* ExamRulesReverseAction;
	TAction* ExamRulesShuffleAction;
	TAction* ExamStartAction;
	TAction* ExamStopAction;
	TAction* FileCloseAction;
	TAction* FileDropFilesAction;
	TAction* FileExitAction;
	TAction* FileHistoryAction;
	TAction* FileOpenAction;
	TAction* FileReopenAction;
	TAction* HelpAboutAction;
	TAction* HelpContentsAction;
	TAction* SettingsLoadAction;
	TAction* SettingsSaveAction;
	TAction* ToolsCreateTemplateAction;
	TAction* ToolsOpenWithEditorAction;
	TAction* ToolsOptionsAction;
	TAction* ViewCustomizeAction;
	TAction* ViewStatusBarAction;
	TAction* ViewToolbarAction;
	TActionList* ActionList1;
	TBitBtn* BitBtn1;
	TBitBtn* BitBtn2;
	TBitBtn* BitBtn3;
	TImageList* ImageList1;
	TMainMenu* MainMenu1;
	TMenuItem* MenuItem11;
	TMenuItem* MenuItem111;
	TMenuItem* MenuItem112;
	TMenuItem* MenuItem113;
	TMenuItem* MenuItem114;
	TMenuItem* MenuItem115;
	TMenuItem* MenuItem116;
	TMenuItem* MenuItem12;
	TMenuItem* MenuItem121;
	TMenuItem* MenuItem12111;
	TMenuItem* MenuItem1212;
	TMenuItem* MenuItem1213;
	TMenuItem* MenuItem1214;
	TMenuItem* MenuItem1215;
	TMenuItem* MenuItem122;
	TMenuItem* MenuItem123;
	TMenuItem* MenuItem124;
	TMenuItem* MenuItem13;
	TMenuItem* MenuItem131;
	TMenuItem* MenuItem132;
	TMenuItem* MenuItem133;
	TMenuItem* MenuItem134;
	TMenuItem* MenuItem14;
	TMenuItem* MenuItem141;
	TMenuItem* MenuItem142;
	TMenuItem* MenuItem143;
	TMenuItem* MenuItem144;
	TMenuItem* MenuItem1441;
	TMenuItem* MenuItem1442;
	TMenuItem* MenuItem145;
	TMenuItem* MenuItem146;
	TMenuItem* MenuItem1461;
	TMenuItem* MenuItem1462;
	TMenuItem* MenuItem1463;
	TMenuItem* MenuItem1464;
	TMenuItem* MenuItem1465;
	TMenuItem* MenuItem1466;
	TMenuItem* MenuItem1467;
	TMenuItem* MenuItem15;
	TMenuItem* MenuItem151;
	TMenuItem* MenuItem152;
	TMenuItem* MenuItem153;
	TMenuItem* MenuItem154;
	TMenuItem* MenuItem16;
	TMenuItem* MenuItem161;
	TMenuItem* MenuItem162;
	TMenuItem* MenuItem163;
	TMenuItem* MenuItem21;
	TMenuItem* MenuItem22;
	TMenuItem* MenuItem221;
	TMenuItem* MenuItem222;
	TMenuItem* MenuItem223;
	TMenuItem* MenuItem224;
	TMenuItem* MenuItem225;
	TMenuItem* MenuItem23;
	TMenuItem* MenuItem24;
	TPanel* Panel1;
	TPopupMenu* PopupMenu1;
	TStaticText* StaticText1;
	TStatusBar* StatusBar1;
	TToolBar* ToolBar1;
	TToolButton* ToolButton11;
	TToolButton* ToolButton12;
	TToolButton* ToolButton13;
	TToolButton* ToolButton14;
	TToolButton* ToolButton15;
	TToolButton* ToolButton16;
	TToolButton* ToolButton17;
	TToolButton* ToolButton18;
	TToolButton* ToolButton19;
	TToolButton* ToolButton1A;
	TToolButton* ToolButton1B;
	TToolButton* ToolButton1C;
	TToolButton* ToolButton1D;
	TToolButton* ToolButton1E;
	TToolButton* ToolButton1F;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall ActionList1Execute(TBasicAction* AAction, bool& AHandled);
	void __fastcall ActionList1Update(TBasicAction* AAction, bool& AHandled);
	void __fastcall FileOpenActionExecute(TObject* ASender);
	void __fastcall FileOpenActionUpdate(TObject* ASender);
	void __fastcall FileReopenActionExecute(TObject* ASender);
	void __fastcall FileReopenActionUpdate(TObject* ASender);
	void __fastcall FileHistoryActionExecute(TObject* ASender);
	void __fastcall FileHistoryActionUpdate(TObject* ASender);
	void __fastcall FileExitActionExecute(TObject* ASender);
	void __fastcall FileExitActionUpdate(TObject* ASender);
	void __fastcall FileCloseActionExecute(TObject* ASender);
	void __fastcall FileCloseActionUpdate(TObject* ASender);
	void __fastcall FileDropFilesActionExecute(TObject* ASender);
	void __fastcall FileDropFilesActionUpdate(TObject* ASender);
	void __fastcall EditCopyDataDeckActionExecute(TObject* ASender);
	void __fastcall EditCopyDataDeckActionUpdate(TObject* ASender);
	void __fastcall EditCopyDataInformationActionExecute(TObject* ASender);
	void __fastcall EditCopyDataInformationActionUpdate(TObject* ASender);
	void __fastcall EditCopyDataCardsActionExecute(TObject* ASender);
	void __fastcall EditCopyDataCardsActionUpdate(TObject* ASender);
	void __fastcall EditCopyDataCurrentCardActionExecute(TObject* ASender);
	void __fastcall EditCopyDataCurrentCardActionUpdate(TObject* ASender);
	void __fastcall EditCopyMessagesActionExecute(TObject* ASender);
	void __fastcall EditCopyMessagesActionUpdate(TObject* ASender);
	void __fastcall EditInformationActionExecute(TObject* ASender);
	void __fastcall EditInformationActionUpdate(TObject* ASender);
	void __fastcall ViewToolbarActionExecute(TObject* ASender);
	void __fastcall ViewToolbarActionUpdate(TObject* ASender);
	void __fastcall ViewStatusBarActionExecute(TObject* ASender);
	void __fastcall ViewStatusBarActionUpdate(TObject* ASender);
	void __fastcall ViewCustomizeActionExecute(TObject* ASender);
	void __fastcall ViewCustomizeActionUpdate(TObject* ASender);
	void __fastcall ExamStartActionExecute(TObject* ASender);
	void __fastcall ExamStartActionUpdate(TObject* ASender);
	void __fastcall ExamStopActionExecute(TObject* ASender);
	void __fastcall ExamStopActionUpdate(TObject* ASender);
	void __fastcall ExamMoveGoBackActionExecute(TObject* ASender);
	void __fastcall ExamMoveGoBackActionUpdate(TObject* ASender);
	void __fastcall ExamMoveGoForwardActionExecute(TObject* ASender);
	void __fastcall ExamMoveGoForwardActionUpdate(TObject* ASender);
	void __fastcall ExamRulesShuffleActionExecute(TObject* ASender);
	void __fastcall ExamRulesShuffleActionUpdate(TObject* ASender);
	void __fastcall ExamRulesReverseActionExecute(TObject* ASender);
	void __fastcall ExamRulesReverseActionUpdate(TObject* ASender);
	void __fastcall ExamRulesAutoAnswerActionExecute(TObject* ASender);
	void __fastcall ExamRulesAutoAnswerActionUpdate(TObject* ASender);
	void __fastcall ExamRulesAutoHintActionExecute(TObject* ASender);
	void __fastcall ExamRulesAutoHintActionUpdate(TObject* ASender);
	void __fastcall ExamRulesLimitTimeActionExecute(TObject* ASender);
	void __fastcall ExamRulesLimitTimeActionUpdate(TObject* ASender);
	void __fastcall ExamRulesDetailsActionExecute(TObject* ASender);
	void __fastcall ExamRulesDetailsActionUpdate(TObject* ASender);
	void __fastcall ExamProceedActionExecute(TObject* ASender);
	void __fastcall ExamProceedActionUpdate(TObject* ASender);
	void __fastcall ExamRetryActionExecute(TObject* ASender);
	void __fastcall ExamRetryActionUpdate(TObject* ASender);
	void __fastcall ExamHintActionExecute(TObject* ASender);
	void __fastcall ExamHintActionUpdate(TObject* ASender);
	void __fastcall ToolsOpenWithEditorActionExecute(TObject* ASender);
	void __fastcall ToolsOpenWithEditorActionUpdate(TObject* ASender);
	void __fastcall ToolsCreateTemplateActionExecute(TObject* ASender);
	void __fastcall ToolsCreateTemplateActionUpdate(TObject* ASender);
	void __fastcall ToolsOptionsActionExecute(TObject* ASender);
	void __fastcall ToolsOptionsActionUpdate(TObject* ASender);
	void __fastcall HelpContentsActionExecute(TObject* ASender);
	void __fastcall HelpContentsActionUpdate(TObject* ASender);
	void __fastcall HelpAboutActionExecute(TObject* ASender);
	void __fastcall HelpAboutActionUpdate(TObject* ASender);
	void __fastcall SettingsLoadActionExecute(TObject* ASender);
	void __fastcall SettingsLoadActionUpdate(TObject* ASender);
	void __fastcall SettingsSaveActionExecute(TObject* ASender);
	void __fastcall SettingsSaveActionUpdate(TObject* ASender);
private:
	static const WM_APP_HANDLECOMMANDLINEPARAMETERS = WM_APP + 0;
	static const WM_APP_UPDATEACCESS = WM_APP + 1;
	TMainView* FMainView;
	TFileHandler* FFileHandler;
	TViewHandler* FViewHandler;
	TToolsHandler* FToolsHandler;
	THelpHandler* FHelpHandler;
	TSettingsHandler* FSettingsHandler;
	TUpdateNotifier* FUpdateNotifier;
	TStringDynArray FDroppedFiles;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall HandleCommandLineParameters();
	void __fastcall HandleDroppedFiles(const TStringDynArray& AFiles);
	void __fastcall UpdateAccess();
	void __fastcall UpdateNotifierInvalidate(TObject* ASender);
	void __fastcall UpdateNotifierUpdate(TObject* ASender);
	void __fastcall WMAppHandleCommandLineParameters(TMessage& AMessage);
	void __fastcall WMAppUpdateAccess(TMessage& AMessage);
	void __fastcall WMDropFiles(TMessage& AMessage);
	__property TMainView* MainView = {read=FMainView};
	__property TFileHandler* FileHandler = {read=FFileHandler};
	__property TViewHandler* ViewHandler = {read=FViewHandler};
	__property TToolsHandler* ToolsHandler = {read=FToolsHandler};
	__property THelpHandler* HelpHandler = {read=FHelpHandler};
	__property TSettingsHandler* SettingsHandler = {read=FSettingsHandler};
	__property TUpdateNotifier* UpdateNotifier = {read=FUpdateNotifier};
	__property TStringDynArray DroppedFiles = {read=FDroppedFiles};
protected:
public:
	__fastcall TAppMainForm(TComponent* AOwner);
	virtual __fastcall ~TAppMainForm();
	virtual void __fastcall LoadSettings();
	virtual void __fastcall SaveSettings();
	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_APP_HANDLECOMMANDLINEPARAMETERS, TMessage, WMAppHandleCommandLineParameters);
		MESSAGE_HANDLER(WM_APP_UPDATEACCESS, TMessage, WMAppUpdateAccess);
		MESSAGE_HANDLER(WM_DROPFILES, TMessage, WMDropFiles);
	END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern PACKAGE TAppMainForm* AppMainForm;
//---------------------------------------------------------------------------
#endif

