//---------------------------------------------------------------------------
#ifndef App_ToolsDialogH
#define App_ToolsDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Dialogs.hpp>
#include "App_ToolsHandler.h"
//---------------------------------------------------------------------------
class TAppToolsDialog : public TForm
{
__published:
	TButton* Button1;
	TButton* Button2;
	TButton* Field13;
	TEdit* Field12;
	TGroupBox* Field1;
	TLabel* Field11;
	TLabel* Field14;
	TOpenDialog* OpenDialog1;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall Field13Click(TObject* ASender);
public:
	static TAppToolsDialog* __fastcall EnsureCreated();
private:
	TToolsOptions FValues;
	static TToolsOptions __fastcall GetDefaultValues();
	void __fastcall HandleInvalidInput(TWinControl* AControl, const AnsiString& AMessage);
	TToolsOptions __fastcall GetInputs();
	void __fastcall SetInputs(const TToolsOptions& AInputs);
	bool __fastcall GetInput11();
	void __fastcall SetInput11(bool AInput11);
	AnsiString __fastcall GetInput12();
	void __fastcall SetInput12(const AnsiString& AInput12);
	__property TToolsOptions Inputs = {read=GetInputs, write=SetInputs};
	__property AnsiString Input12 = {read=GetInput12, write=SetInput12};
protected:
public:
	__fastcall TAppToolsDialog(TComponent* AOwner);
	virtual __fastcall ~TAppToolsDialog();
	virtual bool __fastcall Execute();
	__property TToolsOptions Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TAppToolsDialog* AppToolsDialog;
//---------------------------------------------------------------------------
#endif

